// DlgColours.cpp : implementation file
//

#include "stdafx.h"
#include "colour.h"
#include "tinycad.h"
#include "DlgColours.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


static COLORREF colours[16];

/////////////////////////////////////////////////////////////////////////////
// CDlgColours dialog


CDlgColours::CDlgColours(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgColours::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgColours)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

	m_id_map[ IDC_COL_BUS ] = ucBUS;
	m_id_map[ IDC_COL_JUNCTION ] = ucJUNCTION;
	m_id_map[ IDC_COL_NOCONNECT ] = ucNOCONNECT;
	m_id_map[ IDC_COL_PIN ] = ucPIN;
	m_id_map[ IDC_COL_POWER ] = ucPOWER;
	m_id_map[ IDC_COL_WIRE ] = ucWIRE;

}


void CDlgColours::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgColours)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgColours, CDialog)
	//{{AFX_MSG_MAP(CDlgColours)
	ON_BN_CLICKED(IDC_COL_BUS, OnColBus)
	ON_BN_CLICKED(IDC_COL_JUNCTION, OnColJunction)
	ON_BN_CLICKED(IDC_COL_NOCONNECT, OnColNoconnect)
	ON_BN_CLICKED(IDC_COL_PIN, OnColPin)
	ON_BN_CLICKED(IDC_COL_POWER, OnColPower)
	ON_BN_CLICKED(IDC_COL_WIRE, OnColWire)
	ON_WM_DRAWITEM()
	ON_BN_CLICKED(IDC_RESET, OnReset)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgColours message handlers

void CDlgColours::OnColBus() 
{
	EditColour( ucBUS );
	
}

void CDlgColours::OnColJunction() 
{
	EditColour( ucJUNCTION );
	
}


void CDlgColours::OnColNoconnect() 
{
	EditColour( ucNOCONNECT );
	
}

void CDlgColours::OnColPin() 
{
	EditColour( ucPIN );
	
}

void CDlgColours::OnColPower() 
{
	EditColour( ucPOWER );
	
}

void CDlgColours::OnColWire() 
{
	EditColour( ucWIRE );
	
}

void CDlgColours::OnDrawItem(int nIDCtl, LPDRAWITEMSTRUCT lpDrawItemStruct) 
{
	int id = m_id_map[ nIDCtl ];

	CDC dc;
	dc.Attach( lpDrawItemStruct->hDC );
	dc.SelectStockObject( BLACK_PEN );

	CBrush brush( m_colours[ id ] );
	CBrush *old_brush = dc.SelectObject( &brush );

	dc.Rectangle( &lpDrawItemStruct->rcItem );

	dc.SelectObject( old_brush );
	dc.Detach();
	
	CDialog::OnDrawItem(nIDCtl, lpDrawItemStruct);
}

void CDlgColours::EditColour(user_colour id)
{
	// Bring up the colour dialogue...
	CHOOSECOLOR c;
	c.lStructSize = sizeof(c);
	c.hwndOwner = m_hWnd;
	c.hInstance = NULL;
	c.rgbResult = m_colours[ id ];
	c.Flags = CC_ANYCOLOR | CC_RGBINIT;
	c.lCustData = 0;
	c.lpfnHook = NULL;
	c.lpTemplateName = NULL;
	c.lpCustColors = colours;
	
	if (ChooseColor( &c ))
	{
		m_colours[ id ] = c.rgbResult;
		RedrawWindow();
	}	
}

void CDlgColours::OnReset() 
{
	EndDialog( IDC_RESET );
	
}
