/*
	TinyCAD program for schematic capture
	Copyright 1994/1995/2002 Matt Pyne.

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "stdafx.h"
#include "TinyCad.h"

#include "TinyCadDoc.h"
#include "Registry.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

CDlgDetailsBox::CDlgDetailsBox(CTinyCadDoc *pDesign,CWnd *pParentWnd) 
: CDialog( IDD_DESIGN, pParentWnd ) 
{ 
	//{{AFX_DATA_INIT(CDlgDetailsBox)
	m_Author = _T("");
	m_Date = _T("");
	m_Display = FALSE;
	m_Document = _T("");
	m_File = _T("");
	m_Organisation = _T("");
	m_Revision = _T("");
	m_Sheet = _T("");
	m_Title = _T("");
	m_Show_Rulers = FALSE;
	//}}AFX_DATA_INIT
	parent = pDesign; 
}

void CDlgDetailsBox::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgDetailsBox)
	DDX_Text(pDX, DESIGNBOX_AUTHOR, m_Author);
	DDX_Text(pDX, DESIGNBOX_DATE, m_Date);
	DDX_Check(pDX, DESIGNBOX_DISPLAY, m_Display);
	DDX_Text(pDX, DESIGNBOX_DOCUMENT, m_Document);
	DDX_Text(pDX, DESIGNBOX_FILE, m_File);
	DDX_Text(pDX, DESIGNBOX_ORGANISATION, m_Organisation);
	DDX_Text(pDX, DESIGNBOX_REVISION, m_Revision);
	DDX_Text(pDX, DESIGNBOX_SHEET, m_Sheet);
	DDX_Text(pDX, DESIGNBOX_TITLE, m_Title);
	DDX_Check(pDX, IDC_SHOW_RULERS, m_Show_Rulers);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDlgDetailsBox, CDialog)
	//{{AFX_MSG_MAP(CDlgDetailsBox)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


// The methods for the details dialog
BOOL CDlgDetailsBox::OnInitDialog()
{
	CDialog::OnInitDialog();

	m_File = parent->GetPathName();
	m_Title = parent->Title;
	m_Author = parent->Author;
	m_Revision = parent->Revision;
	m_Document = parent->DocNumber;
	m_Organisation = parent->Organisation;
	m_Sheet = parent->Sheets;
	m_Date = parent->DateStr;
	m_Display = parent->ShowDetails;
	m_Show_Rulers = parent->ShowRulers;

	UpdateData( FALSE );

	return TRUE;
}

void CDlgDetailsBox::OnOK()
{
	UpdateData( TRUE );

	parent->Title = m_Title;
	parent->Author = m_Author;
	parent->Revision = m_Revision;
	parent->DocNumber = m_Document;
	parent->Organisation = m_Organisation;
	parent->Sheets = m_Sheet;
	parent->DateStr = m_Date;
	parent->ShowDetails = m_Display;
	parent->ShowRulers = m_Show_Rulers;

	Registry::Set("ShowDesignRulers",m_Show_Rulers);

	EndDialog(IDOK);
}
