/*
	TinyCAD program for schematic capture
	Copyright 1994/1995/2002,2003 Matt Pyne.

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "stdafx.h"
#include "option.h"
#include "revision.h"
#include "registry.h"
#include "TinyCadView.h"
#include "TinyCad.h"
#include "MainFrm.h"
#include "diag.h"



////// The JumpTagBox dialog //////

BEGIN_MESSAGE_MAP( CDlgJumpTagBox, CDialog )
	ON_BN_CLICKED( JUMPTAGBOX_DELETE, OnDelete )
END_MESSAGE_MAP()


BOOL CDlgJumpTagBox::OnInitDialog()
{
	// Build the list box
	CListBox *theListBox = (CListBox *)GetDlgItem(TAGJUMP_LIST);
	theListBox->ResetContent();
 
	drawingIterator it = aDesign->GetDrawingBegin();
	while (it != aDesign->GetDrawingEnd()) 
	{
		CDrawingObject *pointer = *it;

		if (pointer->GetType() == xTag) {
			#define theTag ((CDrawTag *)pointer)
			theListBox->AddString(theTag->GetTagName());
		}

		++ it;
	}
	 

	return TRUE;
}


void CDlgJumpTagBox::OnDelete()
{
    int WhichItem;
	CListBox *theListBox = (CListBox *)GetDlgItem(TAGJUMP_LIST);

  	if ((WhichItem = theListBox->GetCurSel())!=LB_ERR) {
		theListBox->GetText(WhichItem,String);

		drawingIterator it = aDesign->GetDrawingBegin();
		while (it != aDesign->GetDrawingEnd()) 
		{
			CDrawingObject *pointer = *it;

			if (pointer->GetType()==xTag && ((CDrawTag *)pointer)->GetTagName()==String)
			{
				aDesign->UnSelect();
				aDesign->Select(pointer);
				aDesign->SelectDelete();
				break;
			}

			++ it;
		}

		theListBox->DeleteString(WhichItem);
	}
}

void CDlgJumpTagBox::OnOK()
{
    int WhichItem;
	CListBox *theListBox = (CListBox *)GetDlgItem(TAGJUMP_LIST);

  	if ((WhichItem = theListBox->GetCurSel())!=LB_ERR) {

		theListBox->GetText(WhichItem,String);
		EndDialog(IDOK);                      

	} else
		EndDialog(IDCANCEL);
}





