// DlgPCBExport.cpp : implementation file
//

#include "stdafx.h"
#include "tinycad.h"
#include "DlgPCBExport.h"
#include "Registry.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgPCBExport dialog


CDlgPCBExport::CDlgPCBExport(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgPCBExport::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgPCBExport)
	m_Filename = _T("");
	//}}AFX_DATA_INIT

	m_type = Registry::GetInt( "Netlist", 0 );
}


void CDlgPCBExport::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgPCBExport)
	DDX_Control(pDX, IDC_FILE_TYPE, m_Filetype);
	DDX_Text(pDX, IDC_FILE_NAME, m_Filename);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgPCBExport, CDialog)
	//{{AFX_MSG_MAP(CDlgPCBExport)
	ON_BN_CLICKED(IDC_BROWSE, OnBrowse)
	ON_CBN_SELCHANGE(IDC_FILE_TYPE, OnSelchangeFileType)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgPCBExport message handlers

BOOL CDlgPCBExport::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_Filetype.ResetContent();
	m_Filetype.AddString( "TinyCAD" );
	m_Filetype.AddString( "PADS-PCB" );
	m_Filetype.AddString( "Eagle SCR" );
	m_Filetype.AddString( "Protel" );

	m_Filetype.SetCurSel( m_type );

	UpdateData( FALSE );

	OnSelchangeFileType();

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


void CDlgPCBExport::OnBrowse() 
{
	CString ext = GetExtension();


	// Get the file in which to save the network
	OPENFILENAME ofn;
	char szFile[256], szFileTitle[256];

	// Generate the filter string from the extension
	char szFilter[256];
	sprintf(szFilter, "Netlist (*%s)|*%s|All files (*.*)|*.*||",
		ext, ext );
	int len = strlen( szFilter ) - 1;
	while (len >= 0)
	{
		if (szFilter[len] == '|')
		{
			szFilter[len] = 0;
		}
		-- len;
	}
	

	strcpy(szFile,m_Filename);
	strcpy(szFileTitle,m_Filename);

	ofn.lStructSize = sizeof(OPENFILENAME);
	ofn.hwndOwner = this->m_hWnd;
	ofn.lpstrFilter = szFilter;
	ofn.lpstrCustomFilter = NULL;
	ofn.nMaxCustFilter = 0;
	ofn.nFilterIndex = 1;
	ofn.lpstrFile = szFile;
	ofn.nMaxFile = sizeof(szFile);
	ofn.lpstrFileTitle = szFileTitle;
	ofn.nMaxFileTitle = sizeof(szFileTitle);
	ofn.lpstrInitialDir = NULL;
	ofn.lpstrTitle = NULL;
	ofn.Flags = OFN_HIDEREADONLY | OFN_PATHMUSTEXIST  | OFN_NOCHANGEDIR;
	ofn.nFileOffset = 0;
	ofn.nFileExtension = 0;
	ofn.lpstrDefExt = ((const char *)ext) + 1;
	ofn.lpstrTitle = "Create PCB Net List";

	if (GetSaveFileName(&ofn))
	{
		m_Filename = szFile;
		UpdateData( FALSE );
	}
}


void CDlgPCBExport::OnOK() 
{
	// Get the data before exiting...
	UpdateData( TRUE );

	m_type = m_Filetype.GetCurSel();
	Registry::Set( "Netlist", m_type );
	
	CDialog::OnOK();
}

void CDlgPCBExport::OnSelchangeFileType() 
{
	CString ext = GetExtension();

	int b = m_Filename.ReverseFind( '.' );
	if (b != -1)
	{
		m_Filename = m_Filename.Left( b ) + ext;
	}

	UpdateData( FALSE );
}

CString CDlgPCBExport::GetExtension()
{
	UpdateData( TRUE );
	int sel = m_Filetype.GetCurSel();

	CString ext;
	switch (sel)
	{
	case 0:	// TinyCAD
		return ".net";
	case 1: // PADS
		return ".net";
	case 2: // Eagle
		return ".scr";
	case 3: // Protel
		return ".net";
	}

	return ".net";
}
