/*
	TinyCAD program for schematic capture
	Copyright 1994/1995/2002,2003 Matt Pyne.

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// SpecialPrintDlg.cpp : implementation file
//

#include "stdafx.h"
#include "tinycad.h"
#include "SpecialPrintDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSpecialPrintDlg

IMPLEMENT_DYNAMIC(CSpecialPrintDlg, CPrintDialog)

CSpecialPrintDlg::CSpecialPrintDlg(BOOL bPrintSetupOnly, DWORD dwFlags, CWnd* pParentWnd) :
	CPrintDialog(bPrintSetupOnly, dwFlags, pParentWnd)
{
	m_pd.Flags |= PD_ENABLEPRINTTEMPLATE;
	m_pd.hInstance = AfxGetInstanceHandle();
	m_pd.lpPrintTemplateName = MAKEINTRESOURCE( IDD_PRINT ); 

}


BEGIN_MESSAGE_MAP(CSpecialPrintDlg, CPrintDialog)
	//{{AFX_MSG_MAP(CSpecialPrintDlg)
	ON_BN_CLICKED(PRINT_BANDW, OnBandw)
	ON_BN_CLICKED(1, OnOK)
	ON_BN_CLICKED(IDC_FIT, OnFit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


void CSpecialPrintDlg::OnBandw() 
{
	m_BlackAndWhite = m_BandWCtrl->GetCheck();
	((CTinyCadApp*)AfxGetApp())->SetPrintBandW( m_BlackAndWhite != 0 );
}

BOOL CSpecialPrintDlg::OnInitDialog() 
{
	CPrintDialog::OnInitDialog();
	
	m_BandWCtrl = (CButton*)GetDlgItem( PRINT_BANDW );
	m_BlackAndWhite = ((CTinyCadApp*)AfxGetApp())->GetPrintBandW();
	m_Scale = ((CTinyCadApp*)AfxGetApp())->GetPrintScale();
	m_BandWCtrl->SetCheck( m_BlackAndWhite );
	SetDlgItemInt( IDC_SCALE, m_Scale );
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CSpecialPrintDlg::OnOK() 
{
	// TODO: Add your control notification handler code here
	m_Scale = GetDlgItemInt( IDC_SCALE );
	m_Copies = GetDlgItemInt( 1154 );
	((CTinyCadApp*)AfxGetApp())->SetPrintScale( m_Scale );	
	EndDialog( IDOK );
}

void CSpecialPrintDlg::OnFit() 
{
	CButton *b = static_cast<CButton*>(GetDlgItem( IDC_FIT ));
	if (b->GetCheck() != 0)
	{
		GetDlgItem( IDC_SCALE )->EnableWindow( FALSE );
		SetDlgItemInt( IDC_SCALE, m_FitScale );
	}
	else
	{
		GetDlgItem( IDC_SCALE )->EnableWindow( TRUE );
		SetDlgItemInt( IDC_SCALE, m_Scale );
	}
	
}
