/*
	TinyCAD program for schematic capture
	Copyright 1994/1995/2002 Matt Pyne.

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


// TinyCadSymbolDoc.h: interface for the CTinyCadSymbolDoc class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TINYCADSYMBOLDOC_H__843EC4AD_D70A_4DB4_865D_633006592CCB__INCLUDED_)
#define AFX_TINYCADSYMBOLDOC_H__843EC4AD_D70A_4DB4_865D_633006592CCB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "TinyCadDoc.h"

class CTinyCadSymbolDoc : public CTinyCadDoc  
{
protected: // create from serialization only
	DECLARE_DYNCREATE(CTinyCadSymbolDoc)

protected:

	/////////////////////////////////////////////////////////////////////////////
	//

	CLibraryStore *libedit;				// The library currently being edited
	CLibraryStoreSymbol	symboledit;


public:
	BOOL Store();
	void setSymbol( CLibraryStore *library, CLibraryStoreSymbol &symbol );
	CTinyCadSymbolDoc();
	virtual ~CTinyCadSymbolDoc();

	virtual BOOL IsEditLibrary() { return TRUE; }

	// Is this document editing a library?
	virtual bool IsLibInUse( CLibraryStore *lib );

	CLibraryStoreSymbol *getSymbol() { return &symboledit; }


	BOOL CanCloseFrame(CFrameWnd* pFrameArg);

	// Called after a paste or import to enable the
	// document to sort out the imported block when
	// necessary
	virtual void PostPaste();


	// Generated message map functions
protected:
	//{{AFX_MSG(CTinyCadSymbolDoc)
	afx_msg void OnLibraryAddpin();
	afx_msg void OnLibrarySelectpartinpackage();
	afx_msg void OnFileSave();
	afx_msg void OnFileSaveAs();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

#endif // !defined(AFX_TINYCADSYMBOLDOC_H__843EC4AD_D70A_4DB4_865D_633006592CCB__INCLUDED_)
